compile 'com.android.support.constraint:constraint-layout:1.0.0-alpha8'
然后用Studio同步时报错:
Error:Could not find com.android.support.constraint:constraint-layout:1.0.0-alpha8.
Required by:
    ARouter:test-module-1:unspecified
<a href=”searchInBuildFiles”>Search in build.gradle files</a>
原因:
SDK 中可能是没有安装ConstraintLayout的支持包
解决办法:

在SDK中安装ConstraintLayout 支持包, Android Studio下的操作:

  1. Preferences > Appearance & Behavior > System Settings > Android
  2. 点开窗口右边的SDK Tools 标签
  3. 展开Suport Repository, 并点击 Show Package Details,
  4. 把ConstraintLayout for Android和Solver for ConstraintLayout的对应版本 勾上安装, 注意版本号!

 

转载请注明:WebLogic Android 博客 » Gradle 同步时报错,Could not find com.android.support.constraint:constraint-layout:1.0.0-alpha8的解决方法